Rekamedika Docs
Magic Link

POST /sign-in/magic-link

POST
/api/auth/sign-in/magic-link

Sign in with magic link

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

email*string

Email address to send the magic link

Match^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
Formatemail
name?string

User display name. Only used if the user is registering for the first time. Eg: "my-name"

callbackURL?string

URL to redirect after magic link verification

newUserCallbackURL?string

URL to redirect after new user signup. Only used if the user is registering for the first time.

errorCallbackURL?string

URL to redirect after error.

metadata?

Additional metadata to pass to sendMagicLink.

Response Body

application/json

curl -X POST "https://example.com/api/auth/sign-in/magic-link" \  -H "Content-Type: application/json" \  -d '{    "email": "user@example.com"  }'
{  "status": true}

Is this page helpful?